package com.pcloud.book.group.mapper;

import com.pcloud.book.group.entity.ResourcePageFolderItem;
import com.pcloud.book.group.vo.ResourcePageFolderItemVO;
import com.pcloud.book.group.vo.ResourcePageItemVO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Set;

public interface ResourcePageFolderItemMapper {
    int deleteByPrimaryKey(Long id);

    int insert(ResourcePageFolderItem record);

    int insertSelective(ResourcePageFolderItem record);

    ResourcePageFolderItem selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(ResourcePageFolderItem record);

    int updateByPrimaryKey(ResourcePageFolderItem record);

    void deleteByColumnIds(@Param("columnIds") List<Long> columnIds);

    void batchInsert(@Param("itemList") List<ResourcePageFolderItem> itemList);

    List<ResourcePageFolderItemVO> listByFolderIds(@Param("folderIds") Collection<Long> folderIds);

    List<ResourcePageItemVO> getServeListBySceneId4QrUpdate(@Param("sceneId") Long sceneId);

    ResourcePageItemVO checkOneServeItemByPageId(@Param("resourcePageId") Long resourcePageId, @Param("ignoreRays") Boolean ignoreRays);
}